[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.CloseTransactions

End all transactions

## Declaration

Source position: db.pas line 2085

`public procedure TDatabase.CloseTransactions;`

## Description

CloseTransaction calls TDBTransaction.EndTransaction on all connected transactions. It is called automatically when the connection is closed, after all datasets are closed.

## See also

TCustomConnection.Close |  | Close the connection
TDatabase.CloseDatasets |  | Close all connected datasets